classification
Title: Document WindowsRegistryFinder inherits from MetaPathFinder
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, cheryl.sabella, docs@python, miss-islington
Priority: normal Keywords: easy, patch

Created on 2016-06-30 22:34 by brett.cannon, last changed 2018-03-23 22:27 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6061 merged hlakhara, 2018-03-10 18:35
PR 6205 merged miss-islington, 2018-03-23 21:27
PR 6206 merged miss-islington, 2018-03-23 21:28
Messages (6)
msg269633 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-06-30 22:34
Currently the docs claim it inherits from importlib.abc.Finder.
msg311289 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-01-30 18:36
Since WindowsRegistryFinder was deprecated in 3.6, should this be closed or should the documentation still be corrected?
msg311292 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-01-30 19:32
Docs should still be correct.
msg314331 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-03-23 21:26
New changeset 5cbb84106efefd200933aa31e22abf39267d2557 by Brett Cannon (Himanshu Lakhara) in branch 'master':
bpo-27428: Fix WindowsRegistryFinder documentation to list appropriate ABC (GH-6061)
https://github.com/python/cpython/commit/5cbb84106efefd200933aa31e22abf39267d2557
msg314334 - (view) Author: miss-islington (miss-islington) Date: 2018-03-23 21:41
New changeset 45738ede5ac8507b88b35fb0d6e2806a7b2e2efc by Miss Islington (bot) in branch '3.7':
bpo-27428: Fix WindowsRegistryFinder documentation to list appropriate ABC (GH-6061)
https://github.com/python/cpython/commit/45738ede5ac8507b88b35fb0d6e2806a7b2e2efc
msg314337 - (view) Author: miss-islington (miss-islington) Date: 2018-03-23 21:50
New changeset 643a781188539de038745d23d0e8e5a03b781209 by Miss Islington (bot) in branch '3.6':
bpo-27428: Fix WindowsRegistryFinder documentation to list appropriate ABC (GH-6061)
https://github.com/python/cpython/commit/643a781188539de038745d23d0e8e5a03b781209
History
Date User Action Args
2018-03-23 22:27:31brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-03-23 21:50:14miss-islingtonsetmessages: + msg314337
2018-03-23 21:41:28miss-islingtonsetnosy: + miss-islington
messages: + msg314334
2018-03-23 21:28:44miss-islingtonsetpull_requests: + pull_request5950
2018-03-23 21:27:50miss-islingtonsetpull_requests: + pull_request5949
2018-03-23 21:26:38brett.cannonsetmessages: + msg314331
2018-03-10 18:35:34hlakharasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5823
2018-01-31 23:12:39cheryl.sabellasetkeywords: + easy
type: enhancement
stage: needs patch
2018-01-30 19:32:56brett.cannonsetmessages: + msg311292
2018-01-30 18:36:27cheryl.sabellasetnosy: + cheryl.sabella

messages: + msg311289
versions: + Python 3.7, - Python 3.5, Python 3.6
2016-06-30 22:34:32brett.cannoncreate